4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Fragen zur Installation von CONTENIDO 4.9? Probleme bei der Konfiguration? Hinweise oder Fragen zur Entwicklung des Systemes oder zur Sicherheit?
Antworten
mattmarr
Beiträge: 337
Registriert: Mo 3. Aug 2009, 14:11
Kontaktdaten:

4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von mattmarr » Mi 4. Nov 2015, 12:43

Hallo!

Mir ist es jetzt zweimal passiert als ich ein Upgrade von Contenido 4.8.20 auf Contenido 4.9.8 gemacht habe, das der Type CMS_IMGEDITOR nicht korrekt upgedatet wurde.

Habe nach vielem suchen rausbekommen, das es während des Update passiert sein muss.
Denn es wurden in der Tabelle !preffix!_content die idtype nicht an das neue Imagemodul (CMS_IMGEDITOR) angepasst.
Nachdem ich in MYSQL ein "UPDATE .... SET idtype = 22 WHERE idtype=4" gemacht habe funktioniert es wieder.

Könnnte es sein, das es mit dem aktuellen Contenido 4.9.8 Paket ein Problem gibt oder ist bereits bei der 4.8.20 Version irgendwas defekt gewesen?

Die Version 4.8.20 lief einwandfrei und ohne Fehler.
Während des Upgrades auf 4.9.8 gab es keine Fehlermeldung und die Logs bleiben Leer.

Für jeden Tipp wäre ich sehr dankbar um sowas in zukunft vermeiden zu können.



Gruß
Matthias

Oldperl
Beiträge: 4084
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von Oldperl » Mi 4. Nov 2015, 14:48

Hallo Matthias,

grundsätzlich funktioniert die 4.9.x als Neuinstallation inzwischen weitestgehend. Ein paar Bugs sind oder können aber noch immer drin sein. Ist/war halt ein doch recht großer Schnitt mit vielen neuen oder überarbeiteten Codeteilen.
Bezüglich Upgrades von 4.8.20 auf 4.9.x kann es sicherlich noch das eine oder andere Problem geben, auch wenn wir nun schon bei der 8. Ausgabe der 4.9er sind. Ich denke das liegt einfach auch am fehlenden Feedback. Mir selbst ist aber bisher da eigentlich noch kein Fehler aufgefallen, wobei ich zugeben muss, das ich die 4.9.8 aufgrund bekannter Bugs nicht zum Upgrade nutze. Problematisch scheint hier ja wohl der neue Autoindex in der 4.9er zu sein. Kann es sein das in der 4.9er-Reihe die Content-Typen unterschiedliche Ids erhalten? Müßte man mal recherchieren, denn ich denke nicht das das Setup ausgelegt ist bereits vorhandenen Content entsprechend anzupassen.

Gruß aus Franken

Ortwin
CONTENIDO 4.9 Entwickler-Handbuch - Publikation auf medium.com zu meinem angedachten Entwickler-Buch zu CONTENIDO 4.9
ConLite 2.0, alternatives und stabiles Update von Contenido 4.8.x
phpBO Search Advanced - das Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

mattmarr
Beiträge: 337
Registriert: Mo 3. Aug 2009, 14:11
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von mattmarr » Do 5. Nov 2015, 10:39

Hallo Ortwin!

Das komische ist ja, das bereits andere Upgrades von 4.8.20 auf z.b. 4.9.7 funktioniert haben mit den CMS_Types.

Ich werde mir das bei gelegenheit nochmal genauer anschauen. Hab zum Glück noch alte Backups. :)



Gruß
Matthias

rw72
Beiträge: 253
Registriert: Do 22. Jan 2004, 16:24
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von rw72 » Fr 6. Nov 2015, 23:11

Oldperl hat geschrieben:Hallo Matthias,

grundsätzlich funktioniert die 4.9.x als Neuinstallation inzwischen weitestgehend. Ein paar Bugs sind oder können aber noch immer drin sein. Ist/war halt ein doch recht großer Schnitt mit vielen neuen oder überarbeiteten Codeteilen.
Bezüglich Upgrades von 4.8.20 auf 4.9.x kann es sicherlich noch das eine oder andere Problem geben, auch wenn wir nun schon bei der 8. Ausgabe der 4.9er sind. Ich denke das liegt einfach auch am fehlenden Feedback. Mir selbst ist aber bisher da eigentlich noch kein Fehler aufgefallen, wobei ich zugeben muss, das ich die 4.9.8 aufgrund bekannter Bugs nicht zum Upgrade nutze. Problematisch scheint hier ja wohl der neue Autoindex in der 4.9er zu sein. Kann es sein das in der 4.9er-Reihe die Content-Typen unterschiedliche Ids erhalten? Müßte man mal recherchieren, denn ich denke nicht das das Setup ausgelegt ist bereits vorhandenen Content entsprechend anzupassen.

Gruß aus Franken

Ortwin
Hallo Ortwin,
ja das Feedback ist ein gutes Thema.
Ich glaube das leider viele aus der Community andere CMS Produkte nutzen, denn man erhält kaum noch Antworten auf Fragen und auch kaum noch Module für die 4.9.
Auch in den Referenzen habe ich mal geschaut und die ersten die angezeigt werden
Saarserver.de - nicht erreichbar
PSE AG - nutzt inzwischen Typo3
und wo es erkennbar Contenido ist da wird die Version 4.6 oder 4.8 benutzt.

Ich persönlich finde den Trend sehr schade.

Wollte ich nur mal Los werden, vielleicht kann mir ja jemand bei meiner Frage die ich gestellt habe helfen :)

Viele Grüße
Ralf
Viele Grüße
Ralf

Oldperl
Beiträge: 4084
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von Oldperl » So 8. Nov 2015, 11:35

Hallo Ralf,
rw72 hat geschrieben:...ja das Feedback ist ein gutes Thema.
Ich glaube das leider viele aus der Community andere CMS Produkte nutzen, denn man erhält kaum noch Antworten auf Fragen und auch kaum noch Module für die 4.9.
das glaube ich nicht nur, das ist Tatsache. Mir selbst sind einige frühere Contenido-Nutzer bekannt die inzwischen Joomla, WP oder was auch immer nutzen. Das ist und war aber nie meine Intension. Ich werde bei Con bleiben, wobei ich selbst momentan viel Arbeit und Ideen in die Weiterentwicklung meines 4.8er Zweiges stecke da 4.9 mir unter Anderem zu viel Ressourcen braucht und laut Aussage meiner Kunden auf "schwachbrüstigen" Webspaces recht langsam, zumindest im Backend, daher kommt. Daher optimiere ich meine 4.8er Version auch in diese Richtung und eben um die Kosten für große Auftritte der 4.8 in Richtung Upgrade auf 4.9 zu minimieren bzw. auf einen längeren Zeitraum aufzuteilen. Meine Kunden mit großen 4-8er-Seiten (Plugins, individuelle Modul-Pakete) haben nämlich gleich mal schnell abgewinkt als sie hörten was dafür ein Upgrade mit allen Anpassungen auf 4.9 kosten wird.

Na mal schaun wie sich das entwickelt. Ich werde weiterhin auch 4.9er Projekte umsetzen bzw. Module und Plugins migrieren. Ob jetzt schrittweise über den Zwischenschritt der ConLite oder auch direkt. Jedoch muss ich sagen, dass die Nachfrage momentan doch noch recht überschaubar ist, was ich in Bezug auf Updates der 4.8er zu CL so nicht sagen kann. Da wächst momentan die Nachfrage und ich denke das liegt einfach an dem stabilen Kern zu dem die 4.8er-Reihe über die Jahre entwickelt hat(te).

Wie sagte "unser aller Kaiser" doch kürzlich noch - "Schau' n mer mal!" :)

Gruß aus Franken

Ortwin
CONTENIDO 4.9 Entwickler-Handbuch - Publikation auf medium.com zu meinem angedachten Entwickler-Buch zu CONTENIDO 4.9
ConLite 2.0, alternatives und stabiles Update von Contenido 4.8.x
phpBO Search Advanced - das Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

rw72
Beiträge: 253
Registriert: Do 22. Jan 2004, 16:24
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von rw72 » So 8. Nov 2015, 12:58

Hallo Ortwin,

ich finde auch das die 4.8 die derzeit bessere Variante der Versionen ist.
Sie läuft schneller und meiner Meinung nach auch stabiler.
Aber das eben so wie du jeder die 4.8er selbst anpasst und für seine Zwecke optimiert ist eben nicht der SInn eines Open Source System.
Und deshalb meine ich eben das viele einfach abwandern.

Aber du hast recht schaun wir mal :)

Grüße
Ralf
Viele Grüße
Ralf

McHubi
Beiträge: 1108
Registriert: Do 18. Nov 2004, 23:06
Wohnort: Mettmann
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von McHubi » Mo 9. Nov 2015, 12:01

Hallo rw72,
Ich glaube das leider viele aus der Community andere CMS Produkte nutzen, denn man erhält kaum noch Antworten auf Fragen und auch kaum noch Module für die 4.9
Nun, es ist immer auch eine Frage, wie man "Community" versteht. Der/die eine interpretiert es auf die Weise, dass immer nur genutzt wird, während sich andere aktiv beteiligen und eigene Module erstellen sowie auch im Forum veröffentlichen. Natürlich kommen da ganz schnell so Argumente wie "Ich bin aber kein Programmierer." oder "Habe ich keine Zeit für." Oftmals werden hier auch Fragen gestellt, die man bei etwas Investition von Hirnschmalz selbst hätte lösen können. Und wenn dann auch noch eine mangelhafte Problembeschreibung dazu kommt, darf man sich über fehlende Antworten nicht wundern.

Das ist nicht auf Dich direkt bezogen sondern eher ein Hinweis allgemeiner Art an die reinen "Konsumenten". Wer nur nehmen und nicht geben will und nicht bereit ist sich in dieses CMS zumindest ansatzweise einzuarbeiten ist in der Tat bei Joomla und Wordpress besser bedient. Oder direkt mit dem Homepagebaukasten des Hosters. Da gibt's dann Vorteile aber auch jede Menge Nachteile.
Aber das eben so wie du jeder die 4.8er selbst anpasst und für seine Zwecke optimiert ist eben nicht der SInn eines Open Source System.
Und warum nicht? Gerade weil es quelloffen ist werden solche Anpassungen möglich. :wink:
seamless-design.de
"Geht nicht!" wohnt in der "Will nicht!"-Strasse.

(NEU!) Das Handbuch zur Version 4.10: CONTENIDO für Einsteiger (4.10)

Das Handbuch zur Version 4.9: CONTENIDO für Einsteiger (4.9)

rw72
Beiträge: 253
Registriert: Do 22. Jan 2004, 16:24
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von rw72 » Mo 9. Nov 2015, 13:00

Hallo Hubi,
ja stimmt Sorry eigentlich hast du recht das dies der Sinn eines Open Source Systems ist.
Viele Grüße
Ralf

rethus
Beiträge: 1827
Registriert: Di 28. Mär 2006, 11:55
Wohnort: Mönchengladbach
Kontaktdaten:

Re: 4.8.20 > 4.9.8 CMS_IMGEDITOR funktioniert nicht

Beitrag von rethus » Mo 9. Nov 2015, 16:33

mattmarr hat geschrieben:Hallo!
Nachdem ich in MYSQL ein "UPDATE .... SET idtype = 22 WHERE idtype=4" gemacht habe funktioniert es wieder.
Das liegt an einem BUG in Verbindung mit CMS_IMG und CMS_IMGEDITOR. Ist kürzlich gefixt worden... siehe: http://forum.contenido.org/viewtopic.ph ... 30#p168509
Could I help you... you can help me... buy me a coffee . (vielen ❤ Dank an: Seelauer, Peanut, fauxxami )

xstable - Onlineshops, Hosting, Domains und Webentwicklung
suther.de - Webentwicklung, IT-Service, IT-Beratung, Linux-Administration

Software... ein Blick wert: GoogleCalender Eventlist, xst_dynamic_contentType

Antworten